* {
    margin: 0;
    padding: 0;
    border: 0;

    font-family: "Helvetica Neue", "Lucida Grande", "Helvetica", "Arial", "Verdana", sans-serif;
    font-size: 1em;
}

body {
    background-color: lightgreen;
}

body > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

input {
    padding: 4px;
    border: 1px solid green;
}

.input-error {
    color: red;
    border: 1px solid red;
}

#error {
    color: red;
}

.payment {
    display: table;
    padding: 8px;
}

.payment header {
    display: table-caption;
    text-align: center;
    font-weight: bold;
}

.payment .item {
    display: table-row;
}

.payment .item > label, .payment .item > input, .payment .item > div {
    display: table-cell;
}

.payment .item > label {
    text-align: right;
    padding-right: 8px;
    padding-top: 16px;
}

.payment #pay-button {
    background-color: green;
    color: white;
    padding: 4px 8px;
}

.payment #pay-button[disabled] {
    background-color: darkgreen;
    color: grey;
}
